{pkgs, ...}: {
  services.spotifyd = {
    enable = true;
    settings.global = {
      username = "john.olheiser";
      password_cmd = "cat /run/agenix/spotify-pw";
      device_name = "nix";
    };
  };
  xdg.configFile."spotify-tui/config.yml".text = builtins.readFile (pkgs.fetchFromGitHub {
      owner = "catppuccin";
      repo = "spotify-tui";
      rev = "45a4ef12508784410c516746c9d84862d52e4567";
      sha256 = "sha256-RXJ+skwUu2miCbBDLXx0Md0aVgo3iub2rQBzICwYLMU=";
    }
    + "/mocha.yml");
}
